Package org.opengis.cite.iso19142.basic.filter.temporal

# Class DuringTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.basic.filter.QueryFilterFixture
org.opengis.cite.iso19142.basic.filter.temporal.AbstractTemporalTest
org.opengis.cite.iso19142.basic.filter.temporal.DuringTests

public class DuringTests extends AbstractTemporalTest
Tests the response to a GetFeature request that includes the temporal predicate During. The relation can be expressed as follows when comparing a temporal instant to a temporal period:

     self.position > other.begin.position AND self.position < other.end.position

If both operands are periods then the following must hold:

     self.begin.position > other.begin.position AND self.end.position < other.end.position

The following figure illustrates the relationship. A solid line denotes a temporal property; a dashed line denotes a literal time value that specifies the temporal extent of interest.

Sources

- ISO 19108, 5.2.3.5: TM_RelativePosition

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.opengis.cite.iso19142.basic.filter.temporal.AbstractTemporalTest

  `AbstractTemporalTest.TemporalProperty`

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

  `dataSampler, GET_FEATURE_MINIMAL, model, temporalProperties`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DuringTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `assertDuring(List<Node> temporalNodes, org.apache.xerces.xs.XSElementDeclaration propertyDecl, Document gmlTimeLiteral)`
  Asserts that all temporal values in the given list occur during the specified GML temporal value (gml:TimePeriod).
  `void`
  `duringPeriod(ProtocolBinding binding, QName featureType)`
  [`Test`] Submits a GetFeature request containing a During temporal predicate with a gml:TimePeriod operand spanning some time interval.

  ### Methods inherited from class org.opengis.cite.iso19142.basic.filter.temporal.AbstractTemporalTest

  `findTemporalProperty`

  ### Methods inherited from class org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

  `buildRequestEntity, discardResponseEntity, findTemporalProperties, getModel, initQueryFilterFixture`

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DuringTests

    public DuringTests()

- ## Method Details

  - ### duringPeriod

    public void duringPeriod(ProtocolBinding binding, QName featureType)
    [`Test`] Submits a GetFeature request containing a During temporal predicate with a gml:TimePeriod operand spanning some time interval. The response entity must contain only instances of the requested type that satisfy the temporal relation.
    Parameters:
      `binding` - The ProtocolBinding to use for this request.
      `featureType` - A QName representing the qualified name of some feature type.

  - ### assertDuring

    void assertDuring(List<Node> temporalNodes, org.apache.xerces.xs.XSElementDeclaration propertyDecl, Document gmlTimeLiteral)
    Asserts that all temporal values in the given list occur during the specified GML temporal value (gml:TimePeriod).
    Parameters:
      `temporalNodes` - A list of simple or complex temporal values.
      `propertyDecl` - An element declaration for a temporal property.
      `gmlTimeLiteral` - A document that contains a GML representation of a period.